Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Parameter

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Parameter

public interface Parameter
extends M4Data

Version:
  $Id: Parameter.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Field Summary
`static short` | `TYPE_BASEATTRIBUTE`
`static short` | `TYPE_CONCEPT`
`static short` | `TYPE_FEATURE`
`static java.lang.String` | `TYPE_INPUT` Constant to specify Parameters of type INPUT.
`static short` | `TYPE_MULTICOLUMNFEATURE`
`static java.lang.String` | `TYPE_OUTPUT` Constant to specify Parameters of type OUTPUT.
`static short` | `TYPE_PARAMETER_OBJECT`
`static short` | `TYPE_RELATION`
`static short` | `TYPE_VALUE`

Method Summary
`Parameter` | `copy(Step newStep)`
`java.lang.String` | `getInputParam()` Same as `isInputParam`, but returns the database `String` representation for the flag.
`int` | `getLoopNr()`
`java.lang.String` | `getParameterName()`
`java.lang.String` | `getParameterType()`
`long` | `getParamNr()` Returns the parameter number.
`java.lang.Long` | `getParObjectId()`
`java.lang.String` | `getParObjectType()`
`Operator` | `getTheOperator()` Getter method for this `Parameter`'s `Operator`
`ParameterObject` | `getTheParameterObject()`
`Step` | `getTheStep()`
`Value` | `getValue()` Returns the corresponding Value object for this Parameter or null if it does not exist.
`boolean` | `isInputParam()`
`void` | `removeParameterObject()`
`void` | `removeValue()` Removes the Value from this Parameter and deletes it.
`void` | `setInputParam(java.lang.String inputString)` Each parameter is an input or an output parameter.
`void` | `setIsInputParam(boolean is)`
`void` | `setLoopNr(int nr)`
`void` | `setParameterName(java.lang.String parameterName)`
`void` | `setParameterType(java.lang.String parameterType)`
`void` | `setParamNr(long paramNr)` Sets the number of this parameter within its embedding parameter array
`void` | `setTheOperator(Operator op)` This method is based on a redundant attribute in the database!
`void` | `setTheParameterObject(ParameterObject parameterObject)` Sets the parameterObject.
`void` | `setTheStep(Step step)`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Field Detail

### TYPE_INPUT

    public static final java.lang.String TYPE_INPUT

  Constant to specify Parameters of type INPUT.

  See Also:
    Constant Field Values

### TYPE_OUTPUT

    public static final java.lang.String TYPE_OUTPUT

  Constant to specify Parameters of type OUTPUT.

  See Also:
    Constant Field Values

### TYPE_VALUE

    public static final short TYPE_VALUE

See Also:
  Constant Field Values

### TYPE_CONCEPT

    public static final short TYPE_CONCEPT

See Also:
  Constant Field Values

### TYPE_RELATION

    public static final short TYPE_RELATION

See Also:
  Constant Field Values

### TYPE_BASEATTRIBUTE

    public static final short TYPE_BASEATTRIBUTE

See Also:
  Constant Field Values

### TYPE_MULTICOLUMNFEATURE

    public static final short TYPE_MULTICOLUMNFEATURE

See Also:
  Constant Field Values

### TYPE_FEATURE

    public static final short TYPE_FEATURE

See Also:
  Constant Field Values

### TYPE_PARAMETER_OBJECT

    public static final short TYPE_PARAMETER_OBJECT

See Also:
  Constant Field Values

Method Detail

### setTheOperator

    public void setTheOperator(Operator op)

  This method is based on a redundant attribute in the database! The operator of this parameter is defined by its `Step`. Thus the getter method for the `Operator` and its ID will return the result based on the `Operator` of the associated `Step` object. As a result of being redundant this method does not do anything!

  Parameters:
    `op` - The new operator.

### getTheOperator

    public Operator getTheOperator()
                            throws M4Exception

  Getter method for this `Parameter`'s `Operator`

  Returns:
    the `Operator` this parameter belongs to. If no embedding `Step` can be found or the `Step` does not return its `Operator` then `null` is returned.
  Throws:
    `M4Exception`

### setTheStep

    public void setTheStep(Step step)
                    throws M4Exception

  Parameters:
    `step` - The new `Step` for this `Parameter`
  Throws:
    `M4Exception`

### getTheStep

    public Step getTheStep()
                    throws M4Exception

  Returns:
    The step this parameter belongs to.
  Throws:
    `M4Exception`

### isInputParam

    public boolean isInputParam()

  Returns:
    TRUE if this parameter is an Input Parameter, FALSE otherwise.

### getInputParam

    public java.lang.String getInputParam()

  Same as `isInputParam`, but returns the database `String` representation for the flag.

  Returns:
    the value of the input parameter flag as a `String`
  See Also:
    `DB.c_yes`

### setIsInputParam

    public void setIsInputParam(boolean is)

  Parameters:
    `is` - Set to TRUE if this parameter is an Input parameter, FALSE otherwise.

### setInputParam

    public void setInputParam(java.lang.String inputString)

  Each parameter is an input or an output parameter. This method expects the database `String` representation of this flag.

  See Also:
    `DB.c_yes`

### setLoopNr

    public void setLoopNr(int nr)

  Parameters:
    `nr` - the number of the loop for which this parameter is to be used

### getLoopNr

    public int getLoopNr()

  Returns:
    the number of the loop for which this parameter is to be used.

### getParObjectType

    public java.lang.String getParObjectType()
                                      throws ParameterError,
                                             M4Exception

  Returns:
    the type of this parameter object ("CON", "BA" etc), or `null` if the `ParameterObject` is not set.
  Throws:
    `ParameterError`
    `M4Exception`

### getParObjectId

    public java.lang.Long getParObjectId()
                                  throws M4Exception

  Returns:
    the Id of the `ParameterObject` as a `Long` object, or `null` if there is no `ParameterObject` stored.
  Throws:
    `M4Exception`

### getTheParameterObject

    public ParameterObject getTheParameterObject()
                                          throws M4Exception

  Returns:
    the parameterObject, the `M4Data` object constituting the parameter. A value of `null` indicates an error.
  Throws:
    `M4Exception`

### setTheParameterObject

    public void setTheParameterObject(ParameterObject parameterObject)
                               throws M4Exception

  Sets the parameterObject.

  Parameters:
    `parameterObject` - The parameterObject to set
  Throws:
    `M4Exception`

### getParamNr

    public long getParamNr()

  Returns the parameter number.

  Returns:
    long

### setParamNr

    public void setParamNr(long paramNr)

  Sets the number of this parameter within its embedding parameter array

  Parameters:
    `paramNr` - The parameter number to set

### getParameterName

    public java.lang.String getParameterName()

### setParameterName

    public void setParameterName(java.lang.String parameterName)
                          throws M4Exception

  Throws:
    `M4Exception`

### getParameterType

    public java.lang.String getParameterType()

### setParameterType

    public void setParameterType(java.lang.String parameterType)
                          throws M4Exception

  Throws:
    `M4Exception`

### removeParameterObject

    public void removeParameterObject()
                               throws M4Exception

  Throws:
    `M4Exception`

### copy

    public Parameter copy(Step newStep)
                   throws M4Exception

  Throws:
    `M4Exception`

### getValue

    public Value getValue()
                   throws M4Exception

  Returns the corresponding Value object for this Parameter or null if it does not exist.

  Throws:
    `M4Exception`

### removeValue

    public void removeValue()
                     throws M4Exception

  Removes the Value from this Parameter and deletes it.

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005